Bug 30575 - Display line for fscheck to short
Display line for fscheck to short
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: initrd
unspecified
All Linux
: P3 normal
: UCC 2.0
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-25 10:33 CET by Kevin Dominik Korte
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Dominik Korte univentionstaff 2013-02-25 10:33:51 CET
When an fscheck runs into an error, it displays the corresponding message on top of the bootscreen. The display line however is to short for the full information. Neither the option fix nor the error description are shown. The only option fully visible is skip which can lead to additional Problems after the boot is completed.

A customer has already reported a broken file system. It therefore would be good, if at least the Fix option is displayed.
Comment 1 Moritz Muehlenhoff univentionstaff 2013-12-17 10:25:21 CET
Maybe we can simply disable Plymouth in that case
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-03 12:41:15 CEST
From https://wiki.ubuntu.com/Plymouth :

Special FSCK messages

The Ubuntu Plymouth theme supports a "special" message that allows mountall to display fsck progress messages ("fsck is 20% complete"). You can make use of this functionality by using a special message format:

  sudo plymouth --update=fsck:sda1:27

This will display a message like:

  Checking disk 1 of 1 (27% complete)
Comment 3 Felix Botner univentionstaff 2014-05-07 16:20:03 CEST
Fixed our plymouth script. Status message (running filesystem check) and "action" messages (press C to abort) are now handled/displayed separately.
Comment 4 Moritz Muehlenhoff univentionstaff 2014-05-08 12:01:37 CEST
For the QA please use a desktop image:

1. Force a fsck on next boot by running "touch /forcefsck"

2. Force an unclean fsck state with "debugfs -w -R "ssv state 2" $PARTITION
http://serverfault.com/questions/285752/how-do-i-force-ext3-partition-to-the-error-state
Comment 5 Lukas Walter univentionstaff 2014-05-09 14:04:22 CEST
(In reply to Moritz Muehlenhoff from comment #4)
> For the QA please use a desktop image:
> 
> 1. Force a fsck on next boot by running "touch /forcefsck"
> 
> 2. Force an unclean fsck state with "debugfs -w -R "ssv state 2" $PARTITION
> http://serverfault.com/questions/285752/how-do-i-force-ext3-partition-to-the-
> error-state

The additional information is currently shown as white text on light blue/white background, and hard to read.

The background color should be changed -> REOPENED
Comment 6 Felix Botner univentionstaff 2014-05-09 16:43:39 CEST
(In reply to Lukas Walter from comment #5)
> (In reply to Moritz Muehlenhoff from comment #4)
> > For the QA please use a desktop image:
> > 
> > 1. Force a fsck on next boot by running "touch /forcefsck"
> > 
> > 2. Force an unclean fsck state with "debugfs -w -R "ssv state 2" $PARTITION
> > http://serverfault.com/questions/285752/how-do-i-force-ext3-partition-to-the-
> > error-state
> 
> The additional information is currently shown as white text on light
> blue/white background, and hard to read.
> 
> The background color should be changed -> REOPENED

fixed, changed color for "action" messages to black
Comment 7 Moritz Muehlenhoff univentionstaff 2014-05-14 11:14:23 CEST
(In reply to Felix Botner from comment #6)
> > The background color should be changed -> REOPENED
> 
> fixed, changed color for "action" messages to black

Ok, the colour of the status message has been fixed.
Comment 8 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:51 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".